﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClassicTooltip
{
    public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }
        Random rd;
        double value = 100;
        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            rd = new Random();
            for (int i = 0; i < 100000; i++)
            {
                Collection.Add(new Model() { XValue = i, YValue = value });
                if (rd.NextDouble() < 0.5)
                    value += rd.NextDouble();
                else
                    value -= rd.NextDouble();
            }             
        }
    }
}
